# Account Funding

- [Create an ACH Relationship](https://api-documentation.autoshares.dev/rest-api/trading-api/account-funding/create-an-ach-relationship.md): Bind an ACH relationship to a trading account
- [Get an ACH Relationship](https://api-documentation.autoshares.dev/rest-api/trading-api/account-funding/get-an-ach-relationship.md): Fetch information about a specific ACH relationship
- [Get All ACH Relationships](https://api-documentation.autoshares.dev/rest-api/trading-api/account-funding/get-all-ach-relationships.md): List all ACH relationships of a particular trading account
- [Get the Default ACH Relationship](https://api-documentation.autoshares.dev/rest-api/trading-api/account-funding/get-the-default-ach-relationship.md): Fetch information about the default ACH relationship
- [Modify an ACH Relationship](https://api-documentation.autoshares.dev/rest-api/trading-api/account-funding/modify-an-ach-relationship.md): Modify the name of an existing ACH Relationship
- [Delete an ACH Relationship](https://api-documentation.autoshares.dev/rest-api/trading-api/account-funding/delete-an-ach-relationship.md): Delete an existing ACH relationship
- [Approve an ACH Relationship](https://api-documentation.autoshares.dev/rest-api/trading-api/account-funding/approve-an-ach-relationship.md): Approve an ACH relationship based on micro deposits
- [Deposit / Withdraw Funds via ACH](https://api-documentation.autoshares.dev/rest-api/trading-api/account-funding/deposit-withdraw-funds.md): Deposit and withdraw funds to/from a specific trading account via ACH relationships
- [Cancel an ACH Transfer](https://api-documentation.autoshares.dev/rest-api/trading-api/account-funding/cancel-an-ach-transfer.md): Cancel an outstanding ACH Transfer
- [Get All Transfers](https://api-documentation.autoshares.dev/rest-api/trading-api/account-funding/get-all-transfers.md): Retrieve all deposits and withdrawals of a particular trading account


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-documentation.autoshares.dev/rest-api/trading-api/account-funding.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
